FROM {{ namespace }}/{{ image_prefix }}prometheus-base:{{ tag }}
{% block labels %}
LABEL maintainer="{{ maintainer }}" name="{{ image_name }}" build-date="{{ build_date }}"
{% endblock %}

{% block haproxy_exporter_header %}{% endblock %}

{% block haproxy_exporter_repository_version %}
ENV haproxy_exporter_version=0.10.0
{% endblock %}

{% block haproxy_exporter_install %}
RUN curl -o /tmp/haproxy_exporter.tar.gz https://github.com/prometheus/haproxy_exporter/releases/download/v${haproxy_exporter_version}/haproxy_exporter-${haproxy_exporter_version}.linux-{{debian_arch}}.tar.gz \
    && tar xvf /tmp/haproxy_exporter.tar.gz -C /opt/ \
    && rm -f /tmp/haproxy_exporter.tar.gz \
    && ln -s /opt/haproxy_exporter* /opt/haproxy_exporter
{% endblock %}

{% block haproxy_exporter_footer %}{% endblock %}
{% block footer %}{% endblock %}

USER prometheus
